#1319 SmilesGenerator and Implicit -> Explicit Hydrogens

cdk-1.4.x
closed
nobody
None
5
2014-10-06
2013-12-20
Duece99
No

Hello,

I noticed this in the SmilesGenerator source code after finding that despite using the AtomContainerManipulator to remove hydrogen atoms from molecules, I still got explicit hydrogens in SMILES Strings:

 if (symbol.equals("*") && a.getImplicitHydrogenCount() != null && a.getImplicitHydrogenCount() > 0)
                    buffer.append("H").append(a.getImplicitHydrogenCount());

Is it intentional that the getImplicitHydrogenCount() method is used? I'm guessing this' a remnant of something that's otherwise been changed in a later version.

Ed.

Related

Bugs: #1319

Discussion

  • John May
    John May
    2013-12-20

    Hi Ed,

    That generator doesn’t existing any more :-) - 1.5.4 was released yesterday https://github.com/cdk/cdk/wiki/1.5.4-Release-Notes

    J

    On 20 Dec 2013, at 15:43, Duece99 duece99@users.sf.net wrote:

    [bugs:#1319] SmilesGenerator and Implicit -> Explicit Hydrogens

    Status: open
    Created: Fri Dec 20, 2013 03:43 PM UTC by Duece99
    Last Updated: Fri Dec 20, 2013 03:43 PM UTC
    Owner: nobody

    Hello,

    I noticed this in the SmilesGenerator source code after finding that despite using the AtomContainerManipulator to remove hydrogen atoms from molecules, I still got explicit hydrogens in SMILES Strings:

    if (symbol.equals("*") && a.getImplicitHydrogenCount() != null && a.getImplicitHydrogenCount() > 0)
    buffer.append("H").append(a.getImplicitHydrogenCount());
    Is it intentional that the getImplicitHydrogenCount() method is used? I'm guessing this' a remnant of something that's otherwise been changed in a later version.

    Ed.

    Sent from sourceforge.net because cdk-bugs@lists.sf.net is subscribed to https://sourceforge.net/p/cdk/bugs/

    To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/cdk/admin/bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


    Rapidly troubleshoot problems before they affect your business. Most IT
    organizations don't have a clear picture of how application performance
    affects their revenue. With AppDynamics, you get 100% visibility into your
    Java,.NET, & PHP application. Start your 15-day FREE TRIAL of AppDynamics Pro!
    http://pubads.g.doubleclick.net/gampad/clk?id=84349831&iu=/4140/ostg.clktrk_______
    Cdk-bugs mailing list
    Cdk-bugs@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/cdk-bugs

     

    Related

    Bugs: #1319

    • Duece99
      Duece99
      2013-12-23

      Ah, my bad - thanks for the update :)

      On 20 December 2013 16:34, John May jwmay@users.sf.net wrote:

      Hi Ed,

      That generator doesn’t existing any more :-) - 1.5.4 was released
      yesterday https://github.com/cdk/cdk/wiki/1.5.4-Release-Notes

      J

      On 20 Dec 2013, at 15:43, Duece99 duece99@users.sf.net wrote:

      [bugs:#1319] http://sourceforge.net/p/cdk/bugs/1319/ SmilesGenerator
      and Implicit -> Explicit Hydrogens

      Status: open
      Created: Fri Dec 20, 2013 03:43 PM UTC by Duece99
      Last Updated: Fri Dec 20, 2013 03:43 PM UTC
      Owner: nobody

      Hello,

      I noticed this in the SmilesGenerator source code after finding that
      despite using the AtomContainerManipulator to remove hydrogen atoms from
      molecules, I still got explicit hydrogens in SMILES Strings:

      if (symbol.equals("*") && a.getImplicitHydrogenCount() != null &&
      a.getImplicitHydrogenCount() > 0)
      buffer.append("H").append(a.getImplicitHydrogenCount());
      Is it intentional that the getImplicitHydrogenCount() method is used? I'm
      guessing this' a remnant of something that's otherwise been changed in a
      later version.

      Ed.

      Sent from sourceforge.net because cdk-bugs@lists.sf.net is subscribed to
      https://sourceforge.net/p/cdk/bugs/

      To unsubscribe from further messages, a project admin can change settings
      at https://sourceforge.net/p/cdk/admin/bugs/options. Or, if this is a
      mailing list, you can unsubscribe from the mailing list.


      Rapidly troubleshoot problems before they affect your business. Most IT
      organizations don't have a clear picture of how application performance
      affects their revenue. With AppDynamics, you get 100% visibility into your
      Java,.NET, & PHP application. Start your 15-day FREE TRIAL of AppDynamics
      Pro!
      http://pubads.g.doubleclick.net/gampad/clk?id=84349831&iu=/4140/ostg.clktrk
      ___http://pubads.g.doubleclick.net/gampad/clk?id=84349831&iu=/4140/ostg.clktrk_______________________________________________
      Cdk-bugs mailing list
      Cdk-bugs@lists.sourceforge.net
      https://lists.sourceforge.net/lists/listinfo/cdk-bugs


      Status: open
      Created: Fri Dec 20, 2013 03:43 PM UTC by Duece99
      Last Updated: Fri Dec 20, 2013 03:43 PM UTC
      Owner: nobody

      Hello,

      I noticed this in the SmilesGenerator source code after finding that
      despite using the AtomContainerManipulator to remove hydrogen atoms
      from molecules, I still got explicit hydrogens in SMILES Strings:

      if (symbol.equals("*") && a.getImplicitHydrogenCount() != null && a.getImplicitHydrogenCount() > 0)
      buffer.append("H").append(a.getImplicitHydrogenCount());

      Is it intentional that the getImplicitHydrogenCount() method is used?
      I'm guessing this' a remnant of something that's otherwise been changed in
      a later version.

      Ed.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/cdk/bugs/1319/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1319

  • John May
    John May
    2014-01-05

    • status: open --> closed
     
  • John May
    John May
    2014-01-05

    Fixed in 1.5.x

     
    • Duece99
      Duece99
      2014-01-05

      Can't wait to see the next CDK release for KNIME :-)
      On Jan 5, 2014 3:45 PM, "John May" jwmay@users.sf.net wrote:

      Fixed in 1.5.x

      Status: closed
      Created: Fri Dec 20, 2013 03:43 PM UTC by Duece99
      Last Updated: Fri Dec 20, 2013 03:43 PM UTC
      Owner: nobody

      Hello,

      I noticed this in the SmilesGenerator source code after finding that
      despite using the AtomContainerManipulator to remove hydrogen atoms
      from molecules, I still got explicit hydrogens in SMILES Strings:

      if (symbol.equals("*") && a.getImplicitHydrogenCount() != null && a.getImplicitHydrogenCount() > 0)
      buffer.append("H").append(a.getImplicitHydrogenCount());

      Is it intentional that the getImplicitHydrogenCount() method is used?
      I'm guessing this' a remnant of something that's otherwise been changed in
      a later version.

      Ed.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/cdk/bugs/1319/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       
      Attachments